Subject: bug#25747: 25.1.91; hideshow binding C-c @ C-h overrides help

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Feb 2017 18:11:06 +0200

> From: Allen Li <[email-masked]>
> Date: Thu, 16 Feb 2017 00:54:34 -0800
> Cc: [email-masked]
> 
>     You can get a list of subcommands for a particular prefix key by
>     typing C-h, ?, or F1 (describe-prefix-bindings) after the prefix
>     key. (There are a few prefix keys for which not all of these keys
>     work—those that provide their own bindings for that key. One of
>     these prefix keys is ESC, because ESC C-h is actually C-M-h,
>     which marks a defun. However, ESC F1 and ESC ? work fine.)
> 
> I guess this is working as intended, then?

I don't know, it could be.

> I was thinking of the recommendation in the style guide, which I
> have read many times more than the manual:
> 
>     Don’t bind C-h following any prefix character (including
>     C-c). If you don’t bind C-h, it is automatically available as
>     a help character for listing the subcommands of the prefix
>     character.

Perhaps we should make that somewhat softer, e.g. "We don't recommend
binding C-h ... if it can be avoided.." or somesuch.